=== release 1.14.4 ===

2018-10-02 22:58:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.14.4

2018-10-02 22:58:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-09-26 13:22:14 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/gl/gstglviewconvert.c:
	  glviewconvert: wait and set the gl sync meta on buffers
	  This may be a cause of out-of-place frames when transforming multiview
	  buffers.

2018-09-27 15:03:10 +0200  Edward Hervey <edward@centricular.com>

	* gst-libs/gst/tag/gsttagdemux.c:
	  tagdemux: Use upstream GST_EVENT_STREAM_START if present
	  If we have an upstream GST_EVENT_STREAM_START, use that one instead
	  of creating a new one which could be completely different from the
	  upstream one and drop information (like the stream flags and stream
	  object).
	  Only create a new event if we don't already have one from upstream
	  https://bugzilla.gnome.org/show_bug.cgi?id=797215

2018-09-25 16:56:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/gl/gstglcolorconvert.c:
	  glcolorconvert: Don't copy overlay composition meta over to NULL outbufs

2018-09-25 16:56:24 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/gl/gstglviewconvert.c:
	  glviewconvert: Copy composition meta from the primary buffer to both outputs
	  Without this, glviewconvert (and thus glimagesink) will drop all overlay
	  composition metas.

2018-09-20 14:04:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vorbis/gstvorbisdec.c:
	  vorbisdec: Initialize decoder directly once we have the 3 headers
	  ... instead of waiting for the first non-header buffer.
	  Also drop non-identification headers arriving after initialization or
	  before the identification header. We don't do anything with them and
	  they would just accumulate.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796980

=== release 1.14.3 ===

2018-09-16 16:17:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.14.3

2018-09-16 16:17:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-09-13 20:34:08 -0300  Marcos Kintschner <marcos.ktn@gmail.com>

	* ext/opus/gstopusenc.c:
	  opusenc: fix segmentation fault at x86 version
	  The argument 0x0 is interpreted by the x86 compiler as a 32-bit int, but
	  it is consumed as a 64-bit uint causing a segmentation fault. We need to
	  explicit cast it to guint64 in order for the va_list to be built correctly.
	  https://bugzilla.gnome.org/show_bug.cgi?id=797092

2018-09-11 00:41:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/audio/gstaudiosink.c:
	* gst-libs/gst/audio/gstaudiosrc.c:
	* gst-libs/gst/audio/gstaudioutilsprivate.c:
	* gst-libs/gst/audio/gstaudioutilsprivate.h:
	  gstaudiosrc/sink: Set audio ringbuffer thread priority
	  On Windows, the ringbuffer thread function must have the "Pro Audio"
	  priority set, otherwise it sometimes doesn't get scheduled for
	  200-300ms, which will immediately cause an underrun unless you set
	  a very high latency-time and buffer-time.
	  This has no compile-time deps since it tries to load avrt.dll at
	  runtime to set the thread priority.

2018-08-16 19:37:33 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/vorbis/gstvorbisdec.c:
	  vorbisdec: Always handle in-band header packets once the first non-header packet arrives
	  And clean up any old pending headers if we receive a new identification
	  header, or if we receive a new set of headers via caps.
	  Otherwise it might happen that we receive one or more header but not
	  all, and then afterwards all headers again, and libvorbis does not like
	  getting headers passed multiple times and would error out.
	  It only makes sense to pass the very latest headers to the decoder at
	  the time we can actually make use of them.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796980

2017-09-21 14:03:28 +0900  Yuji Kuwabara <HHG01200@nifty.ne.jp>

	* gst-libs/gst/gl/dispmanx/gstglwindow_dispmanx_egl.c:
	  gl/dispmanx: fix removing foreign window handle
	  gst_gl_window_dispmanx_egl_set_window_handle() removes native window handle
	  (dispmanx element), regardless it was foreign window handle
	  (set via gst_video_overlay_set_window_handle()) or not.
	  This problem prevents glimagesink reusable.
	  (PAUSED -> READY -> PAUSED does not work)
	  This patch corrects it comparing the native window handle with foreign window
	  handle. This behavior is same as gst_gl_window_dispmanx_egl_close().
	  https://bugzilla.gnome.org/show_bug.cgi?id=785199

2018-08-27 11:07:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/ogg/gstoggstream.c:
	  oggdemux: Ensure that no pad values are set when setting up the mapper
	  Otherwise we might have arbitrary values set that are used later and can
	  cause undefined behaviour, as found by ossfuzz.

2018-08-26 01:52:41 +0200  Tim-Philipp Müller <tim@centricular.com>

	* ext/gl/gstglcolorscale.c:
	  glcolorscale: fix compiler warning
	  gstglcolorscale.c(173): warning C4098: 'gst_gl_colorscale_gl_stop': 'void' function returning a value

2018-08-16 18:03:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audioaggregator: Also run the audio-specific caps fixation for audio aggregator subclasses that can't convert

2018-08-16 17:54:00 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audioaggregator: Fixate to some meaningful values if no sinkpad is configured yet
	  The default caps fixation code would select a rate of 1 for example,
	  which is not really ideal.

2018-08-16 16:28:15 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* meson.build:
	  meson: Unify required version to 0.40.1

2018-06-16 14:27:20 +0100  Philippe Normand <philn@igalia.com>

	* gst/playback/gstplaysink.c:
	  playsink: audio visualization support fixes
	  The queue between the audiotee and the audio chain wasn't properly added to the
	  bin, leading to streamsynchronizer locks on EOS. Reconfiguration of the
	  visualization chain wasn't working as expected either. It is now possible to
	  dynamically enable/disable the audio visualization support.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796553

2018-08-08 12:44:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/tag/gsttagdemux.c:
	  tagdemux: Propagate flow returns from gst_type_find_helper_get_range() properly
	  Instead of considering every failed typefinding as an error, even in
	  case of e.g. GST_FLOW_FLUSHING.

2018-07-27 15:15:34 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/tag/gsttagdemux.c:
	  tagdemux: Properly propagate gst_pad_pull_range() errors
	  And don't consider FLUSHING an actual error, just stop in that case.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796883

2018-07-25 15:03:59 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/gl/gstglfilterbin.c:
	* ext/gl/gstglmixerbin.c:
	* ext/gl/gstglsinkbin.c:
	* ext/gl/gstglsrcbin.c:
	  gl: Also don't leak floating references to elements set via properties
	  Fixup for 58ac815eae6ed468d1db60a54a1bd34d6324c28c. Floating references
	  are such a mess.

2018-07-25 14:23:36 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/gl/gstglfilterbin.c:
	* ext/gl/gstglmixerbin.c:
	* ext/gl/gstglsinkbin.c:
	* ext/gl/gstglsrcbin.c:
	  gl: Don't steal callers reference when setting non-floating elements via properties
	  Introduced by fbef9220d3dc2f785081c4766901aab2ecfaed10. The code there
	  is only correct for elements we get from signals.

=== release 1.14.2 ===

2018-07-20 00:51:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.14.2

2018-07-20 00:51:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-plugins-base-plugins.args:
	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-07-18 19:53:26 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* sys/xvimage/xvimage.c:
	* sys/xvimage/xvimagesink.c:
	  xvimage: Fix symbol redefine build error
	  https://bugzilla.gnome.org/show_bug.cgi?id=796827

2018-02-27 23:22:24 +1100  Jan Schmidt <jan@centricular.com>

	* ext/gl/gstglcolorbalance.c:
	  glcolorbalance: Support OES textures for input/passthrough
	  glcolorbalance is in the default GL path inside glimagesink,
	  so has been causing an possibly-unnecessary extra texture copy
	  on Android for a while now. If we're just doing passthrough,
	  we can support OES directly. If not, they'll be transformed
	  to 2D textures and colourbalanced.

2018-07-18 14:56:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/gl/meson.build:
	  meson: gl: fix backported patch

2018-07-16 16:01:34 +0200  Iñigo Huguet <inigohuguet@fanamoel.com>

	* gst-libs/gst/gl/egl/gsteglimage.c:
	* gst-libs/gst/gl/gstglconfig.h.meson:
	* gst-libs/gst/gl/meson.build:
	* m4/gst-gl.m4:
	  gl/build: fixed failed compilation due to missing EGLuint64KHR typedef
	  [Matthew Waters]: add meson differences
	  https://bugzilla.gnome.org/show_bug.cgi?id=796820

2018-07-06 10:51:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/playback/gstparsebin.c:
	  parsebin: Don't try to continue autoplugging a parser if we got raw caps
	  Otherwise we'll fail with an unhelpful message that no decoder for the
	  raw caps was found if a container contains raw media.

2018-06-28 20:13:04 +0800  wangzq <qiang_jsj@live.cn>

	* gst-libs/gst/audio/gstaudiobasesrc.c:
	  audiobasesrc: Round down segsize to an integer number of samples
	  https://bugzilla.gnome.org/show_bug.cgi?id=796704

2018-06-13 15:29:46 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* tools/gst-discoverer.c:
	  discoverer: Don't crash when running with -v if channel-mask==0 and >7 channels
	  For e.g. 16-channel audio, if the channel mask is 0 (which it usually
	  is), gst_audio_channel_positions_from_mask would get confused,
	  ultimately leading into a crash.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796578

2018-06-04 22:32:03 +1000  Matthew Waters <matthew@centricular.com>

	* ext/gl/gstgldownloadelement.c:
	  gldownloadelement: fix build with msvc
	  msvc doesn't like #ifdef inside macro expansion

2018-05-30 11:39:40 +0200  Edward Hervey <edward@centricular.com>

	* gst/subparse/gstsubparse.c:
	  subparse: Don't read beyond array
	  If num_open_tags is 0, we shouldn't try to get the "last" open tag
	  since there isn't any.

2018-05-30 10:56:12 +0200  Edward Hervey <edward@centricular.com>

	* ext/ogg/gstoggstream.c:
	  ogg: Avoid undefined granule shift
	  A granule is a 64bit signed integer, shifting by 63 or more is
	  undefined and most likely an indication that the stream is
	  corrupted or invalid.
	  Detected by oss-fuzz

2014-04-18 10:37:57 +0200  Antoine Jacoutot <ajacoutot@gnome.org>

	* gst-libs/gst/gl/Makefile.am:
	  libs: g-ir-scanner: do not hardcode libtool path
	  https://bugzilla.gnome.org/show_bug.cgi?id=726571

2018-07-16 13:12:50 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/rawparse/gstrawvideoparse.c:
	  rawvideoparse: fix typo in 'plane-offsets' description
	  The property is 'plane-offsets', not 'plane-offset' so the example in
	  the description was wrong.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796817

2018-05-21 09:18:24 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/video/video-color.c:
	  video: fix some GIR array annotations

2018-05-21 09:18:09 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/audio/audio-channels.c:
	  audio: fix some GIR array annotations

2018-05-20 13:37:07 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* gst-libs/gst/gl/meson.build:
	  meson: gl: remove non-headers from gl_prototype_headers
	  This made the meson build install those files, while they aren't
	  installed with the autotools build.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796274

2018-05-20 13:35:52 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* tools/meson.build:
	  meson: install the man pages for the command line tools
	  https://bugzilla.gnome.org/show_bug.cgi?id=796274

2018-05-20 13:40:37 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* gst-libs/gst/app/app_mkenum.py:
	* gst-libs/gst/audio/audio_mkenum.py:
	* gst-libs/gst/pbutils/pbutils_mkenum.py:
	* gst-libs/gst/rtp/rtp_mkenum.py:
	* gst-libs/gst/rtsp/rtsp_mkenum.py:
	* gst-libs/gst/tag/tag_mkenum.py:
	* gst-libs/gst/video/video_mkenum.py:
	  meson: Fix detection of glib-mkenums under MSYS2
	  Under MSYS2 glib-mkenums is an executable and has a .exe extension and
	  the path does not end with "glib-mkenums".
	  Make the script compare the path without the file extension instead.
	  https://bugzilla.gnome.org/show_bug.cgi?id=796274

=== release 1.14.1 ===

2018-05-17 13:21:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.14.1

2018-05-17 13:21:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-05-17 12:37:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/hr.po:
	  Update translations

2018-05-17 13:54:35 +0900  hoonhee.lee <hoonhee.lee@lge.com>

	* gst/playback/gstplaybin3.c:
	  playbin3: Collect appropriate stream-type when doing stream selection
	  https://bugzilla.gnome.org/show_bug.cgi?id=796193

2017-12-13 12:30:54 +0100  Georg Lippitsch <glippitsch@toolsonair.com>

	* gst-libs/gst/video/gstvideotimecode.c:
	  videotimecode: Allow 24000/1001 frame rate
	  https://bugzilla.gnome.org/show_bug.cgi?id=796107

2018-05-02 18:39:31 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/app/gstappsink.c:
	  appsink: Handle unlock in drain query handling too
	  And also handle flushing, we might otherwise wait here forever when
	  flushing too.

2018-05-02 18:35:23 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/app/gstappsink.c:
	  appsink: Make sure to also handle unlock when waiting for EOS to be handled
	  Otherwise shutting down during EOS waiting will cause a deadlock.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795551

2018-05-02 18:11:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/app/gstappsink.c:
	* gst-libs/gst/app/gstappsrc.c:
	  appsrc/sink: Fix optimization for only signalling waiters if someone is actually waiting
	  It is possible that both application and the stream are waiting
	  currently, if for example the following happens:
	  1) app is waiting because no buffer in appsink
	  2) appsink providing a buffer and waking up app
	  3) appsink getting another buffer and waiting because it's full now
	  4) app thread getting back control
	  Previously step 4 would overwrite that the appsink is currently waiting,
	  so it would never be signalled again.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795551

2018-05-13 23:31:22 +0100  Pierre Labastie <pierre.labastie@neuf.fr>

	* tests/examples/gl/sdl/Makefile.am:
	  examples: gl: sdl: link to the right in-tree libgstvideo
	  https://bugzilla.gnome.org/show_bug.cgi?id=796082

2018-05-12 17:19:50 +0100  Philippe Normand <philn@igalia.com>

	* gst/subparse/gstsubparse.c:
	  subparse: follow-up build fix after d871b1205

2018-05-12 13:53:02 +0100  Philippe Normand <philn@igalia.com>

	* gst/subparse/gstsubparse.c:
	* tests/check/elements/subparse.c:
	  subparse: support for more than 32 unclosed markup tags
	  https://bugzilla.gnome.org/show_bug.cgi?id=796043

2018-05-10 01:54:36 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/playback/gstdecodebin3-parse.c:
	* gst/playback/gstdecodebin3.c:
	  decodebin3: Do not modify structure of EOS event
	  https://bugzilla.gnome.org/show_bug.cgi?id=795981

2018-05-10 01:33:55 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Do not modify structure of EOS event
	  https://bugzilla.gnome.org/show_bug.cgi?id=795981

2018-05-09 10:39:23 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/playback/gsturidecodebin3.c:
	  uridecodebin3: Fix GList leak
	  https://bugzilla.gnome.org/show_bug.cgi?id=795937

2018-05-08 23:44:38 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst/playback/gsturidecodebin3.c:
	  uridecodebin3: Fix string leak
	  uri and suburi should be free'd
	  https://bugzilla.gnome.org/show_bug.cgi?id=795932

2018-05-04 10:35:36 +0200  Edward Hervey <edward@centricular.com>

	* gst-libs/gst/video/video-chroma.c:
	* gst-libs/gst/video/video-converter.c:
	  video: Silence "restrict" issues with ORC code
	  The problem is that even though the functions we are calling are
	  in-place transformation, orc automatically puts the restrict keyword
	  on all arguments. To silence that warning just create yet-another
	  variable containing the same value.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795765

2018-04-30 17:17:22 +0200  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/pbutils/descriptions.c:
	  pbutils: Avoid assertion describing raw audio caps without format
	  We used to get:
	  gst_audio_format_from_string: assertion 'format != NULL' failed

2018-04-22 10:49:29 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/encoding/gstencodebin.c:
	  encodebin: Also lock input caps when dynamic output is disabled
	  With the way caps negotiation work in encoders, the only way to ensure
	  that no downstream renegotiation is done in the encoder is to also lock
	  upstream caps. Anyway with the current behavior upstream of encoders
	  *require* to handle any file format so locking upstream format should
	  be safe.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795464

2018-04-30 19:49:20 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* gst-libs/gst/tag/gsttagmux.c:
	  tagmux: Reset final tags for reusing element
	  If the output tag had been exposed, it never ever updated
	  even if we reset the tagmux using state change.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795691

2018-04-20 12:30:22 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* tests/check/libs/videodecoder.c:
	  videodecoder: add test for event order
	  When frames are dropped or reordered then the serialized events are
	  collected and pushed with the next frame. This test verifies that the
	  order is preserved.
	  https://bugzilla.gnome.org/show_bug.cgi?id=794192

2018-03-08 11:28:58 +0100  Matthias Fend <matthias.fend@wolfvision.net>

	* gst-libs/gst/video/gstvideodecoder.c:
	  videodecoder: keep event order
	  Since events are pushed out in reverse order, newer events need to
	  be added at the front of event lists
	  https://bugzilla.gnome.org/show_bug.cgi?id=794192

2018-04-25 09:28:53 +0900  hoonhee.lee <hoonhee.lee@lge.com>

	* gst/playback/gsturidecodebin3.c:
	  uridecodebin3: don't segfault if a pad is not a source pad when it is removed
	  Ignore to handling a pad of decodebin3 which doesn't have corresponding output
	  when it is removed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795529

2018-04-25 01:33:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/gl/cocoa/gstglwindow_cocoa.m:
	  gl/cocoa: Let ARC clean up our dispatch queue if ARC is used, and otherwise do it manually
	  Also don't use __bridge casts if ARC is not used, as is the case on 32
	  bit systems.

2018-04-25 01:08:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/gl/cocoa/gstglwindow_cocoa.m:
	  gl/cocoa: Use NSRect instead of CGRect
	  On 64 bit systems they're typedefs of each other but on 32 bit systems
	  not, and we pass the rect to an API that expects a NSRect

2018-04-20 21:54:23 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/gl/gstgldisplay.c:
	* gst-libs/gst/gl/gstglmemory.c:
	* gst-libs/gst/gl/gstglslstage.c:
	* gst-libs/gst/gl/gstglupload.c:
	  gl: fix some GIR annotations
	  Mostly related to out and array parameters

2018-04-20 21:53:17 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/pbutils/codec-utils.c:
	  pbutils: fix some GIR annotations
	  Mostly related to out and array parameters

2018-04-20 21:53:16 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/video/gstvideometa.c:
	* gst-libs/gst/video/video-color.c:
	* gst-libs/gst/video/video-event.c:
	* gst-libs/gst/video/video-info.c:
	* gst-libs/gst/video/videoorientation.c:
	  video: fix some GIR annotations
	  Mostly related to out and array parameters

2018-04-20 21:53:16 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/audio/audio-converter.c:
	* gst-libs/gst/audio/audio-info.c:
	* gst-libs/gst/audio/gstaudiodecoder.c:
	* gst-libs/gst/audio/gstaudioringbuffer.c:
	  audio: fix some GIR annotations
	  Mostly related to out and array parameters

2018-04-20 21:53:15 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/rtsp/gstrtspmessage.c:
	* gst-libs/gst/rtsp/gstrtsprange.c:
	* gst-libs/gst/rtsp/gstrtsptransport.c:
	* gst-libs/gst/rtsp/gstrtspurl.c:
	  rtsp: fix some GIR annotations
	  Mostly related to out and array parameters.

2018-04-20 21:53:10 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/rtp/gstrtcpbuffer.c:
	* gst-libs/gst/rtp/gstrtpbaseaudiopayload.c:
	* gst-libs/gst/rtp/gstrtpbuffer.c:
	* gst-libs/gst/rtp/gstrtphdrext.c:
	  rtp: fix some GIR annotations
	  Mostly related to out and array parameters.

2018-04-20 11:42:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/gl/meson.build:
	* gst-libs/gst/gl/meson.build:
	  meson: gl: fix 'invalid keyword argument' meson warnings
	  Required is not a valid kwarg for cc.has_header()

2018-04-18 10:28:42 -0400  Omar Akkila <omar.akkila@collabora.co.uk>

	* gst-libs/gst/gl/egl/gsteglimage.c:
	  egl: fix build when using RPi EGL
	  https://bugzilla.gnome.org/show_bug.cgi?id=795336

2018-04-16 11:10:45 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/gl/meson.build:
	  gl: Define default value for GST_GL_HAVE_WINDOW_GBM
	  Thus, silent compiler's warning:
	  "GST_GL_HAVE_WINDOW_GBM" is not defined, evaluates to 0 [-Wundef]

2018-04-23 16:32:41 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audioaggregator: fix filtered getcaps
	  In the situation described in
	  https://bugzilla.gnome.org/show_bug.cgi?id=795397,
	  downstream_caps consists of two structures, the first with
	  the preferred rate, if at all possible (44100), the second
	  containing the full range of allowed rates, as audioresample
	  correctly tries to negotiate passthrough caps.
	  As audioaggregator cannot perform rate conversion, it wants
	  to return a fixated rate in its getcaps implementation,
	  however it previously directly used the first structure in
	  the caps allowed downstream, without taking the filter into
	  consideration, to determine the rate to fixate to.
	  With this, we first intersect our downstream caps with the
	  filter, in order not to fixate to an unsupported rate.

2018-04-13 20:18:56 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst-libs/gst/tag/gstid3tag.c:
	* gst-libs/gst/tag/gstvorbistag.c:
	* gst-libs/gst/tag/gstxmptag.c:
	* gst-libs/gst/tag/tags.c:
	  tag: fix some GIR annotations
	  Mostly related to out and array parameters.

2018-04-12 22:24:26 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audioaggregator: unref converted buffer after gst_buffer_replace

2018-04-12 22:23:50 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/alsa/gstalsamidisrc.c:
	  alsamidisrc: unref buffer_list before early return

2018-04-10 09:31:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/playback/gsturisourcebin.c:
	  urisourcebin: Avoid unreffing a pad we are not owning
	  expose_output_pad takes ownership of the pad.

2018-04-12 19:33:18 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/playback/gsturidecodebin3.c:
	  uridecodebin3: free_play_items when READY_TO_PAUSED failed.
	  We will never go through the PAUSED_TO_READY transition if
	  that is the case, and thus never free the play items.

2018-04-12 18:12:49 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/playback/gstplaybin3.c:
	  playbin3: fix leak of recursive mutex

2018-04-11 22:56:34 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/vorbis/gstvorbisenc.c:
	  vorbisenc: do not map input buffer in WRITE mode

2018-04-11 21:40:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/gstaudiovisualizer.c:
	  audiovisualizer: Only fixate pixel-aspect-ratio if the field exists
	  It's optional.

2018-04-10 21:18:11 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/gstaudiovisualizer.c:
	  audiovisualizer: Fixate pixel-aspect-ratio to the closest value to 1/1

2018-04-07 11:07:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/audio/gstaudioringbuffer.c:
	  audioringbuffer: Don't spam INFO for every buffer
	  This makes GST_DEBUG=4 outputs too spammy, and such frequent messages
	  are meant to go into DEBUG or TRACE anyway.

2018-04-05 16:41:57 +0200  Zeeshan Ali <zeeshanak@gnome.org>

	* tests/check/meson.build:
	  tests: Enable tests for videodecoder
	  The tests pass fine here so don't see any reason to keep them disabled.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795005

2018-04-04 19:30:55 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/encoding/gstencodebin.c:
	  encodebin: Always respect encoding profile preset factory name
	  And fail if it is not present.

2018-03-04 16:41:14 +0100  Carlos Rafael Giani <dv@pseudoterminal.org>

	* gst-libs/gst/gl/egl/gstglcontext_egl.c:
	* gst-libs/gst/gl/gbm/gstglwindow_gbm_egl.c:
	* gst-libs/gst/gl/gbm/gstglwindow_gbm_egl.h:
	  gl/gbm: Initialize window handle (= gbm surface) like other window systems
	  https://bugzilla.gnome.org/show_bug.cgi?id=793997

2018-03-27 10:43:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-libs/gst/gl/Makefile.am:
	  gl: pick up GstVideo-1.0.gir from local build dir
	  https://bugzilla.gnome.org/show_bug.cgi?id=794708

2018-03-22 11:12:20 +0100  Antonio Ospite <ao2@ao2.it>

	* tools/gst-play-kb.c:
	  tools: play: fix leaving STDIN in non-blocking mode after exit
	  gst-play-1.0 sets STDIN to non-blocking mode to have the input
	  characters read as soon as they arrive.
	  However, when gst_play_kb_set_key_handler() gets called from
	  restore_terminal() it forgets to restore the STDIN blocking status.
	  This can result in broken behavior for cli command executed in the same
	  terminal after gst-play-1.0 exited.
	  It turns out that putting STDIN in non-blocking mode is not even the
	  proper way to achieve the desired effect, instead VMIN and VTIME in
	  struct termios should be set to 0.
	  Let's do that, and don't mess with the STDIN blocking mode now that it's
	  not necessary.
	  https://bugzilla.gnome.org/show_bug.cgi?id=794591

2018-03-25 12:48:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/gl/Makefile.am:
	  gl: Disable glmixerbin for the time being too
	  Otherwise we have one copy in gst-plugins-bad and one (unused) here,
	  which makes static linking unhappy.

2018-03-23 14:24:38 +0100  Edward Hervey <edward@centricular.com>

	* gst-libs/gst/audio/gstaudioaggregator.c:
	  audio-aggregator: Check return values
	  And copy over already-parsed information
	  CID #1427140

2018-03-22 07:56:28 +0100  Carlos Rafael Giani <dv@pseudoterminal.org>

	* gst-libs/gst/gl/gstglupload.c:
	* gst-libs/gst/gl/viv-fb/gstglwindow_viv_fb_egl.c:
	  viv-fb: Include gstglfuncs.h to fix cross compilation errors
	  https://bugzilla.gnome.org/show_bug.cgi?id=794589

2018-03-21 10:27:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/video/video-tile.h:
	  video: Set correct value in g-i annotations for tile related mask constants

2018-03-21 10:25:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/video/video.h:
	  video: Include gstvideoaffinetransformationmeta.h in video.h

2018-03-21 10:21:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/pbutils/pbutils.h:
	  pbutils: Include gstaudiovisualizer.h in pbutils.h

=== release 1.14.0 ===

2018-03-19 20:15:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.14.0

2018-03-19 20:15:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

2018-03-17 06:33:38 +0100  Edward Hervey <edward@centricular.com>

	* ext/ogg/gstoggstream.c:
	  oggstream: protect against out-of-bounds read
	  We need at least 17 bytes of data for a valid flac header
	  oss-fuzz #6974

2018-03-16 09:28:44 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/audiomixer.c:
	  tests: audiomixer: remove unistd.h include
	  Not needed and breaks the build with MVSC.

2018-03-15 09:58:11 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/audio/gstaudiostreamalign.h:
	  audiostreamalign: Mark the whole type as new in 1.14

2018-03-13 23:09:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* pkgconfig/gstreamer-audio-uninstalled.pc.in:
	* pkgconfig/gstreamer-audio.pc.in:
	* pkgconfig/gstreamer-video-uninstalled.pc.in:
	* pkgconfig/gstreamer-video.pc.in:
	* pkgconfig/meson.build:
	  pkg-config: Add orc-0.4 to Requires.private of gstreamer-audio and gstreamer-video
	  https://bugzilla.gnome.org/show_bug.cgi?id=794307

=== release 1.13.91 ===

2018-03-13 19:13:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-base.doap:
	* meson.build:
	  Release 1.13.91

2018-03-13 19:13:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-adder.xml:
	* docs/plugins/inspect/plugin-alsa.xml:
	* docs/plugins/inspect/plugin-app.xml:
	* docs/plugins/inspect/plugin-audioconvert.xml:
	* docs/plugins/inspect/plugin-audiomixer.xml:
	* docs/plugins/inspect/plugin-audiorate.xml:
	* docs/plugins/inspect/plugin-audioresample.xml:
	* docs/plugins/inspect/plugin-audiotestsrc.xml:
	* docs/plugins/inspect/plugin-cdparanoia.xml:
	* docs/plugins/inspect/plugin-encoding.xml:
	* docs/plugins/inspect/plugin-gio.xml:
	* docs/plugins/inspect/plugin-libvisual.xml:
	* docs/plugins/inspect/plugin-ogg.xml:
	* docs/plugins/inspect/plugin-opengl.xml:
	* docs/plugins/inspect/plugin-opus.xml:
	* docs/plugins/inspect/plugin-pango.xml:
	* docs/plugins/inspect/plugin-pbtypes.xml:
	* docs/plugins/inspect/plugin-playback.xml:
	* docs/plugins/inspect/plugin-rawparse.xml:
	* docs/plugins/inspect/plugin-subparse.xml:
	* docs/plugins/inspect/plugin-tcp.xml:
	* docs/plugins/inspect/plugin-theora.xml:
	* docs/plugins/inspect/plugin-typefindfunctions.xml:
	* docs/plugins/inspect/plugin-videoconvert.xml:
	* docs/plugins/inspect/plugin-videorate.xml:
	* docs/plugins/inspect/plugin-videoscale.xml:
	* docs/plugins/inspect/plugin-videotestsrc.xml:
	* docs/plugins/inspect/plugin-volume.xml:
	* docs/plugins/inspect/plugin-vorbis.xml:
	* docs/plugins/inspect/plugin-ximagesink.xml:
	* docs/plugins/inspect/plugin-xvimagesink.xml:
	  Update docs

